LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::text::DateDisplayFormat Constant Group Referencepublished

This constants define how a date field is formatted before it is displayed. More...

## Variables
const short | STANDARD_SHORT = 0
| the shortest system standard More...
const short | STANDARD_LONG = 1
| the longest system standard More...
const short | MMDDYY = 2
| 22.11.73 More...
const short | MMDDYYYY = 3
| 22.11.1973 More...
const short | DDMMMYYYY = 4
const short | DDMMMMYYYY = 5
const short | NNDDMMMMYYYY = 6
| Do, 22. More...
const short | NNNNDDMMMMYYYY = 7
| Donnerstag, 22. More...

## Detailed Description

This constants define how a date field is formatted before it is displayed.

The format may also depend on the system or document locale. The samples are in German.

Deprecated:

## Variable Documentation

## ◆ DDMMMMYYYY

const short DDMMMMYYYY = 5

1. November 1973

## ◆ DDMMMYYYY

const short DDMMMYYYY = 4

1. Nov 1973

## ◆ MMDDYY

const short MMDDYY = 2

22.11.73

## ◆ MMDDYYYY

const short MMDDYYYY = 3

22.11.1973

## ◆ NNDDMMMMYYYY

const short NNDDMMMMYYYY = 6

Do, 22.

November 1973

## ◆ NNNNDDMMMMYYYY

const short NNNNDDMMMMYYYY = 7

Donnerstag, 22.

November 1973

## ◆ STANDARD_LONG

const short STANDARD_LONG = 1

the longest system standard

## ◆ STANDARD_SHORT

const short STANDARD_SHORT = 0

the shortest system standard